<template>
  <div class="white-block legal-protection-block">
    <div class="padding">
      <div class="legal-protection">
        <div class="row">
          <div class="legal-protection__half legal-protection__column columns six" v-if="$service.services.length && showForm && $route.meta.section !== 'pos' && $pay.paymentType !== 'credit_rating'">
            <div v-for="service in $service.services" v-if="$pay.paymentType === 'PDL' || $pay.paymentType === 'pos_payment'">
              <Checkbox class="legal-protection__checkbox" v-model="service.state">
                <template slot="label-slot">
                  <div class="legal-protection__span">
                    <div class="legal-protection__bold">{{service.title}} за {{service.price}}₽.
                    </div>
                    {{service.description}}
                  </div>
                </template>
              </Checkbox>
              <a class="legal-protection__link link blue"
                 v-if="service.document_url"
                 @click.prevent.stop="openPopup(service.document_url)">
                {{service.document_title}}
              </a>
            </div>

          </div>
          <div class="center columns six" v-if="(!$service.services.length && showForm || !showForm) && $pay.paymentType !== 'credit_rating'" style="padding-top: 10px;">
            <a class="legal-protection__link link blue" @click="$emit('hideForm')">Другой способ погашения</a>
          </div>
          <div class="legal-protection__half legal-protection__column columns six">
            <div class="legal-protection__button button red" :disabled="blocker" @click="$emit('click', consent)">
              <span class="legal-protection__payment-amount">{{(isNaN(parseFloat(sum) + service) ? 0 : parseFloat(sum) + service)|currency}} ₽</span>
              <span class="legal-protection__call-to-action">
                <span class="legal-protection__call-to-action-text">ОПЛАТИТЬ</span>
                <SVGIcon class="legal-protection__icon" xlink="next-arrow-20" viewBox="0 0 20 20"/>
              </span>
            </div>
            <a class="legal-protection__link link blue" @click="$emit('hideForm')" v-if="showForm && $service.services.length && $pay.paymentType !== 'credit_rating'">Другой способ погашения</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import Checkbox from '@/components/Checkbox'
  import SVGIcon from "@/components/SVGIcon"

  export default {
    name: "AdditionalServices",
    components: {SVGIcon, Checkbox},
    data () {
      return {
        consent: false
      }
    },
    props: {
      sum: {
        default: () => [],
      },
      blocker: {
        type: Boolean,
        default: false
      },
      showForm: {
        type: Boolean,
        default: false
      }
    },
    computed: {
      service () {
        if (this.$service.services.length && this.showForm && this.$route.meta.section !== 'pos' && this.$pay.paymentType === 'PDL' || this.$pay.paymentType === 'pos_payment') {
          let cost = 0;
          this.$service.services.filter(key => key.state).forEach(x => cost += parseFloat(x.price));
          this.$emit('getSelectedParams', this.$service.services.filter(key => key.state));
          return cost;
        } else {
          this.$emit('getSelectedParams', []);
          return 0
        }
      }
    }
  }
</script>

<style scoped>
  .legal-protection-block {
    margin-top: -50px;
  }
</style>
